Page MenuHomePhabricator

Introduce aliases for objects
Closed, ResolvedPublic

Description

Introduce aliases. These are used for Search.

Aliases are stored in Z2K4. They are stored as a set of monolingual labels, but unlike the ones in Z2K3 there can be more than one.

No value that is a label should be an alias for the same language for the same object.

No alias should appear twice for the same language and object.

An alias can be the same as a label or an alias on another object, even with the same types and languages.

This task will probably require to change the wikilambda_zobject_labels table regarding the uniqueness constraint on wlzl_label_unique, It might also need to introduce another field for the unnormalized alias.

Event Timeline

DVrandecic lowered the priority of this task from Medium to Low.Mar 23 2021, 1:03 AM
DVrandecic moved this task from Phase ι to Phase δ on the Abstract Wikipedia team board.
DVrandecic raised the priority of this task from Low to Medium.Apr 7 2021, 4:47 AM
DVrandecic lowered the priority of this task from Medium to Low.Apr 7 2021, 4:08 PM

In discussing this with Denny, we agreed that we would indeed keep things roughly as originally above, with there being a new key Z2K4, pointing to a ZMultiLingualStringSet (new type of object), which is a map of natural languages to an unordered list of strings (Z10: Z60 => Z10(Z6)).

Change 705846 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/services/function-schemata@master] Z2/Persistent object: Add optional Z2K4 for a Z32 stringset of alias labels

https://gerrit.wikimedia.org/r/705846

Change 705846 merged by jenkins-bot:

[mediawiki/services/function-schemata@master] Z2/Persistent object: Add optional Z2K4 for a Z32 stringset of alias labels

https://gerrit.wikimedia.org/r/705846

Change 708588 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/services/function-evaluator@master] Update function-schemata sub-module to HEAD (b4ac6528e)

https://gerrit.wikimedia.org/r/708588

Change 704981 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/services/function-orchestrator@master] Update function-schemata sub-module to HEAD (df62559a8)

https://gerrit.wikimedia.org/r/704981

Change 704981 merged by jenkins-bot:

[mediawiki/services/function-orchestrator@master] Update function-schemata sub-module to HEAD (df62559a8)

https://gerrit.wikimedia.org/r/704981

Change 708588 merged by jenkins-bot:

[mediawiki/services/function-evaluator@master] Update function-schemata sub-module to HEAD (b4ac6528e)

https://gerrit.wikimedia.org/r/708588

DVrandecic raised the priority of this task from Low to High.Aug 25 2021, 4:17 PM